build script
authorEugene Crosser <crosser@average.org>
Sat, 19 Apr 2014 14:53:17 +0000 (18:53 +0400)
committerEugene Crosser <crosser@average.org>
Sat, 19 Apr 2014 14:53:17 +0000 (18:53 +0400)
build [new file with mode: 0755]

diff --git a/build b/build
new file mode 100755 (executable)
index 0000000..d425374
--- /dev/null
+++ b/build
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+file="pdns-pipe-nmc"
+sfx="`uname -m`,`date +%Y-%m-%d`.git-`git rev-parse --verify HEAD | cut -c 1-7`"
+echo "Making $file.$sfx"
+
+ghc --make "$file"
+case $? in
+0) ;;
+*) echo build falied; exit 1 ;;
+esac
+mv "$file" "$file.$sfx" || exit 1
+gpg --detach-sign "$file.$sfx"